Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.util
Class QuotedTokenizer

    java.lang.Object
      rdlc.util.QuotedTokenizer

All Implemented Interfaces:
  java.util.Iterator<java.lang.String>

    public class QuotedTokenizer

extends java.lang.Object
implements java.util.Iterator<java.lang.String>

Tokenizes a string, breaking on whitespace and respecting quotes.

Version:
  $Revision: 1.4 $
Author:
  Greg Gibeling

Field Summary
`protected int` | `start` The character to start the next token at.
`protected char[]` | `string` The array of characters we're tokenizing from.

Constructor Summary
`QuotedTokenizer(java.lang.String _string)` Tokenize the given string, breaking on whitespace and respecting quotes.

Method Summary
`boolean` | `hasNext()`
`java.lang.String` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### start

    protected int start

  The character to start the next token at.

### string

    protected char[] string

  The array of characters we're tokenizing from.

Constructor Detail

### QuotedTokenizer

    public QuotedTokenizer(java.lang.String _string)

  Tokenize the given string, breaking on whitespace and respecting quotes.

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<java.lang.String>`
  See Also:
    `Iterator.hasNext()`

### next

    public java.lang.String next()

  Specified by:
    `next` in interface `java.util.Iterator<java.lang.String>`
  See Also:
    `Iterator.next()`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<java.lang.String>`
  See Also:
    `Iterator.remove()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD